#ifndef _QFX_H_INCLUDED

#define _QFX_H_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

struct qfx_header {
	char magic[4];			// Should be "qfx" with a null terminator
	char resolution;		// 0 - 98 lpi,  1 - 196 lpi
	char sending;			// 0 - fax was received, 1 - fax was generated
							// Affects possible interpretation of remote_faxid
	short int err;			// An error possibly stuffed by send/rec software
	short int npages;		// Number of pages (hard to do without seeking)
							// 0 means no one bother to stuff it.
	char spare1[6];
	char remote_faxid[21];	// Remote fax machine identifier
	char remote_contact[27];// Remote person receiveing the fax.
	} ;

#endif
